/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package oopl04c_c234;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 *
 * @author user
 */
public class Compare extends JFrame
{
    private JLabel firstL, secondL, largestL;
    
    private JTextField firstTF, secondTF, largestTF;
    
    private JButton compareB, exitB, clearB;

    private CompareButtonHandler cpBHandler;
    private ExitButtonHandler exBHandler;
    private ClearButtonHandler clrHandler;
    
    private static final int WIDTH = 400;
    private static final int HEIGHT = 200;
    
    public Compare()
    {
        //labels
       firstL = new JLabel("Input 1st number: ", SwingConstants.CENTER);
       secondL = new JLabel("Input 2nd number: ", SwingConstants.CENTER);
       largestL = new JLabel("Largest Input: ", SwingConstants.CENTER);
       
        // Textfields
        firstTF = new JTextField(10);
        secondTF = new JTextField(10);
        largestTF = new JTextField(10);
        
        // buttons
        compareB = new JButton("Compare");
        cpBHandler = new CompareButtonHandler();
        compareB.addActionListener(cpBHandler);
        
        exitB = new JButton("Exit");
        exBHandler = new ExitButtonHandler();
        exitB.addActionListener(exBHandler);
        
        clearB = new JButton("Clear");
        clrHandler = new ClearButtonHandler();
        clearB.addActionListener(clrHandler);
        
        setTitle("Comparing Numbers");
        
        Container box = getContentPane();
        
        box.setLayout(new GridLayout(7,7));
        
        box.add(firstL);
        box.add(firstTF);
        box.add(secondL);
        box.add(secondTF);
        box.add(largestL);
        box.add(largestTF);        
        box.add(compareB);
        box.add(exitB);
        box.add(clearB);
        
        setSize(WIDTH, HEIGHT);
        setVisible(true);
        largestTF.setEditable(false);
        setDefaultCloseOperation(EXIT_ON_CLOSE);        
    }
    
    private class CompareButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, largest;
            one = Double.parseDouble(firstTF.getText());
            two = Double.parseDouble(secondTF.getText());
                if(one > two)
                {
                    largest = one;
                }
                else
                {
                    largest = two;
                }
        largestTF.setText(String.format("%.2f",largest));
        }
    }
    
    private class ExitButtonHandler implements ActionListener //method for actionlistener
    {
        public void actionPerformed(ActionEvent e)
        {
            System.exit(0);
        }
    }
    
    private class ClearButtonHandler implements ActionListener //method for actionlistener
    {
        public void actionPerformed(ActionEvent e)
        {
            firstTF.setText(" ");
            secondTF.setText(" ");
            largestTF.setText(" ");
        }
    }
    
    public static void main(String[] args)
    {
        Compare zacGui = new Compare();
    }
    
}
