/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package oopl04c_c234;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 *
 * @author user
 */
public class Sample extends JFrame 
{
    private JLabel oneL, twoL, averageL;
    
    private JTextField oneTF, twoTF, averageTF;
    
    private JButton calculateB, calculate1B,calculate2B,calculate3B,calculate4B, calculate5B, exitB;
    
    private CalculateButtonHandler cbHandler;
    private Calculate1BButtonHandler cb1Handler;
    private Calculate2BButtonHandler cb2Handler;
    private Calculate3BButtonHandler cb3Handler;
    private Calculate4BButtonHandler cb4Handler;
    private Calculate5BButtonHandler cb5Handler;
    private ExitButtonHandler ebHandler;
    
    private static final int WIDTH = 400;
    private static final int HEIGHT = 200;
    
    public Sample()
    {
            //Create Labels
        oneL = new JLabel("First Number: ", SwingConstants.CENTER);
        twoL = new JLabel("Second Number: ", SwingConstants.CENTER);
        averageL = new JLabel("Total: ", SwingConstants.CENTER);
        
            //Create four textfields
        oneTF = new JTextField(10);
        twoTF = new JTextField(10);
        averageTF = new JTextField(10);
        
            //Create Calculate Button
        calculateB = new JButton("Addition");
        cbHandler = new CalculateButtonHandler();
        calculateB.addActionListener(cbHandler);
        
        calculate1B = new JButton("Subtraction");
        cb1Handler = new Calculate1BButtonHandler();
        calculate1B.addActionListener(cb1Handler);
        
        calculate2B = new JButton("Multiplication");
        cb2Handler = new Calculate2BButtonHandler();
        calculate2B.addActionListener(cb2Handler);
        
        calculate3B = new JButton("Division");
        cb3Handler = new Calculate3BButtonHandler();
        calculate3B.addActionListener(cb3Handler);
        
        calculate4B = new JButton("Clear");
        cb4Handler = new Calculate4BButtonHandler();
        calculate4B.addActionListener(cb4Handler);
        
        calculate5B = new JButton("Average");
        cb5Handler = new Calculate5BButtonHandler();
        calculate5B.addActionListener(cb5Handler);
        
            //Create Exit Button
        exitB = new JButton("Exit");
        ebHandler = new ExitButtonHandler();
        exitB.addActionListener(ebHandler);
        
            //Set the title of the window
        setTitle("Computation");
        
            //Get the Container
        Container pane = getContentPane();
        
            //Set the Layout
        pane.setLayout(new GridLayout(7,2));
        
            //Place the components in the pane
        pane.add(oneL);
        pane.add(oneTF);
        pane.add(twoL);
        pane.add(twoTF);
        pane.add(averageL);
        pane.add(averageTF);
        pane.add(calculateB);
        pane.add(calculate1B);
        pane.add(calculate2B);
        pane.add(calculate3B);
        pane.add(calculate5B);
        pane.add(calculate4B);
        pane.add(exitB);
        
            //Set the size of the window and display it
        setSize(WIDTH, HEIGHT);
        setVisible(true);
        averageTF.setEditable(false);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }
    
    
    private class CalculateButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, sum;
            one = Double.parseDouble(oneTF.getText());
            two = Double.parseDouble(twoTF.getText());
            sum = one+two;
            averageTF.setText(""+ String.format("%.2f",sum));
        
        }
    }
    
    
    private class Calculate1BButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, minus;
            one = Double.parseDouble(oneTF.getText());
            two = Double.parseDouble(twoTF.getText());
            minus = one-two;
            averageTF.setText(""+ String.format("%.2f",minus));
        
        }
    }
    
    private class Calculate2BButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, prod;
            one = Double.parseDouble(oneTF.getText());
            two = Double.parseDouble(twoTF.getText());
            prod = one*two;
            averageTF.setText(""+ String.format("%.2f",prod));
        
        }
    }
    
    private class Calculate3BButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, div;
            one = Double.parseDouble(oneTF.getText());
            two = Double.parseDouble(twoTF.getText());
            div = one/two;
            averageTF.setText(""+ String.format("%.2f",div));
        
        }
    }
    
    private class Calculate4BButtonHandler implements ActionListener //method for actionlistener
    {
        public void actionPerformed(ActionEvent e)
        {
            oneTF.setText(" ");
            twoTF.setText(" ");
            averageTF.setText(" ");
        }
    }
    
    private class ExitButtonHandler implements ActionListener //method for actionlistener
    {
        public void actionPerformed(ActionEvent e)
        {
            System.exit(0); //for exit
        }
    }
    
    private class Calculate5BButtonHandler implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            double one, two, sum, ave;
            one = Double.parseDouble(oneTF.getText());
            two = Double.parseDouble(twoTF.getText());
            sum = one+two;
            ave = sum/2;
            averageTF.setText(""+ String.format("%.2f",ave));
        
        }
    }
           
    public static void main(String[] args)
    {
        Sample wAveObject = new Sample();
    }
    
}
