/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package FruitOrderOnline;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.event.ItemListener.*;
/**
 *
 * @author Foo Company
 */
public class FruitOrder extends JFrame 
{
    private JLabel pkL, foL, customerL, spaceL1, spaceL2, spaceL3, spaceL4;
    
    private JTextField pkTF, customerTF;
    
    private JButton orderB, exitB;
    
    private JRadioButton appleRB;
    private JRadioButton orangeRB;
    private JRadioButton bananaRB;
    private JRadioButton grapeRB;
    private JRadioButton mangoRB;
    
    private OrderButtonHandler obHandler;
    private ExitButtonHandler ebHandler;
    private RadioListener rListener;
    
    private ButtonGroup rbgroup;
    
    private static final int WIDTH = 500;
    private static final int HEIGHT = 290;
    
    public FruitOrder()
    {
            //labels
        pkL = new JLabel("Per Kilo(s):", SwingConstants.CENTER);
        foL = new JLabel("What fruit will you order?", SwingConstants.CENTER);
        customerL = new JLabel("Customer Name:", SwingConstants.CENTER);
        spaceL1 = new JLabel(" ", SwingConstants.CENTER);
        spaceL2 = new JLabel(" ", SwingConstants.CENTER);
        spaceL3 = new JLabel(" ", SwingConstants.CENTER);
        spaceL4 = new JLabel(" ", SwingConstants.CENTER);
              
        //radiobutton declaration w/ actioncommand
        appleRB = new JRadioButton("Apple - 30php per kilo(s)", true);
        orangeRB = new JRadioButton("Orange - 20php per kilo(s)",false);
        bananaRB = new JRadioButton("Banana - 20php per kilo(s)",false);
        grapeRB = new JRadioButton("Grapes - 40php per kilo(s)",false);
        mangoRB = new JRadioButton("Mango - 40php per kilo(s)",false);
        
        //GroupRadioButtons
        rbgroup = new ButtonGroup();
        rbgroup.add(appleRB);
        rbgroup.add(orangeRB);
        rbgroup.add(bananaRB);
        rbgroup.add(grapeRB);
        rbgroup.add(mangoRB);
        
        rListener = new RadioListener();
        appleRB.addItemListener(rListener);
        orangeRB.addItemListener(rListener);
        bananaRB.addItemListener(rListener);
        grapeRB.addItemListener(rListener);
        mangoRB.addItemListener(rListener);
                
        //textfields of per kilos
        pkTF = new JTextField(10);
        customerTF = new JTextField(10);
            //Create order and exit button
        orderB = new JButton("Order");
        obHandler = new OrderButtonHandler();
        orderB.addActionListener(obHandler);
        
            //Create Exit Button
        exitB = new JButton("Exit");
        ebHandler = new ExitButtonHandler();
        exitB.addActionListener(ebHandler);
        
            //Set the title of the window
        setTitle("Foo! = Fruit Order Online");
        
            //Get the Container
        Container box = getContentPane();
        
            //Set the Layout
        box.setLayout(new GridLayout(10,0));
        
            //Place the components in the pane
        
        box.add(customerL);
        box.add(customerTF);
        box.add(foL);
        box.add(pkL);
        box.add(appleRB);
        box.add(pkTF);
        box.add(orangeRB);
        box.add(spaceL1);
        box.add(bananaRB);
        box.add(spaceL2);
        box.add(grapeRB);
        box.add(spaceL3);
        box.add(mangoRB);
        box.add(spaceL4);
        box.add(orderB);
        box.add(exitB);
        /*box.add(outputTF);*/
        
            //Set the size of the window and display it
        setSize(WIDTH, HEIGHT);
        setVisible(true);
        /*outputTF.setEditable(false);*/
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }
        
            //handlers
    private class OrderButtonHandler implements ActionListener
    {
        
        public void actionPerformed(ActionEvent e)
        {
            double numItem, kilo;
            String name;
            kilo = Double.parseDouble(pkTF.getText());
            name = (customerTF.getText());
            numItem = (ItemEvent.SELECTED);
            JOptionPane.showMessageDialog(null, "Customer: " + name + "\n"
                    + "Ordered: " + kilo + " kilo(s)" + "\n"
                    + "The Price is: " + numItem);            
        }
    }
    
    private class RadioListener implements ItemListener
    {
    public void itemStateChanged(ItemEvent event)
        {
           double num;
            if (event.getSource() == appleRB){
                num = 30;   
            }
            else if (event.getSource() == orangeRB){
                num = 20;             
            }
            else if (event.getSource() == bananaRB) {
                num = 20;              
            }
            else if (event.getSource() == grapeRB){
                num = 40;
            }
            else if(event.getSource() == mangoRB){
                num = 40;
            }
            event.getItem();
        }
    }
    private class ExitButtonHandler implements ActionListener //method for actionlistener
    {
        public void actionPerformed(ActionEvent e)
        {
            System.exit(0); //for exit
        }
    }
    
           
    public static void main(String[] args)
    {
        FruitOrder Foo = new FruitOrder();
    }
    
}

